Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 23 Nov 2014, 06:18
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Carolina - 1.2
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 93 of 102 [1529 Posts]   Goto page: Previous 1, 2, 3, ..., 91, 92, 93, 94, 95, ..., 100, 101, 102 Next
Author Message
edoc


Joined: 07 Aug 2005
Posts: 4384
Location: Southeast Georgia, USA

PostPosted: Mon 04 Aug 2014, 12:08    Post subject:
Subject description: Slimboat Browser - Flash Problems on Hulu
 

Geoffrey wrote:

it will then use the files needed for flash to work, I tried it with hulu.com the flash error is fixed though it don't seem to play, youtube works ok though.

Still has a problem with gstreamer, I'm not going to try and sort this, as there are other browsers that work well enough.


I appreciate the effort - so the Slimboat browser is broken for Carolina.

I have installed Midori 0.4.3 from Puppy Package Manager.

Which Flash should I install from Puppy Package Manager:

flash_player_11_linux.i386 Adobe Flash Player

flashplayer_11.2.202.394 Preferences for Adobe Flash Player

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
Geoffrey


Joined: 30 May 2010
Posts: 1469
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Mon 04 Aug 2014, 20:41    Post subject:
Subject description: Slimboat Browser - Flash Problems on Hulu
 

edoc wrote:
Geoffrey wrote:

it will then use the files needed for flash to work, I tried it with hulu.com the flash error is fixed though it don't seem to play, youtube works ok though.

Still has a problem with gstreamer, I'm not going to try and sort this, as there are other browsers that work well enough.


I appreciate the effort - so the Slimboat browser is broken for Carolina.

I have installed Midori 0.4.3 from Puppy Package Manager.

Which Flash should I install from Puppy Package Manager:

flash_player_11_linux.i386 Adobe Flash Player

flashplayer_11.2.202.394 Preferences for Adobe Flash Player



Use the latest flashplayer_11.2.202.394, the description " Preferences for Adobe Flash Player " is from the menu .desktop file when the pet was made, always use the latest as it has the most recent security updates.

The flash_player_BBC-10.3.183.18 works with BBC iPlayer if in the UK (as reported by sage)
hulu_midori.gif
 Description   
 Filesize   105 KB
 Viewed   440 Time(s)

hulu_midori.gif


_________________
Carolina: Recent Repository Additions
Create strikethrough text HERE
Back to top
View user's profile Send private message 
edoc


Joined: 07 Aug 2005
Posts: 4384
Location: Southeast Georgia, USA

PostPosted: Mon 04 Aug 2014, 20:53    Post subject:  

Cool, thanks!

BTW: Presuming that it's even legal - if one uses IP spoofing could one view UK BBC programming using the BBC Flash version?

Can they co-exist or would they have to be different Carolina installs or on different computers?

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
edoc


Joined: 07 Aug 2005
Posts: 4384
Location: Southeast Georgia, USA

PostPosted: Mon 04 Aug 2014, 21:17    Post subject:
Subject description: Flash Install - Missing Libraries
 

The 11.2.202.394 Flash install is throwing the following Missing Libraries error:

libnspr4,so
libnss3.so
libnssutil3.so
libplc4.so
libplds4.so
libsmime3.so
libssl3.so

What should I do to resolve this, please?

Thanks - David

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
Geoffrey


Joined: 30 May 2010
Posts: 1469
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Mon 04 Aug 2014, 22:22    Post subject:  

@edoc

Those files are included in firefox it should just work if firefox is in Carolina, if you have removed it that will be the problem.

I have BBC iplayer working in firefox with the Hola unblocker addon.
hola_firefox.gif
 Description   
 Filesize   222.59 KB
 Viewed   424 Time(s)

hola_firefox.gif


_________________
Carolina: Recent Repository Additions
Create strikethrough text HERE
Back to top
View user's profile Send private message 
edoc


Joined: 07 Aug 2005
Posts: 4384
Location: Southeast Georgia, USA

PostPosted: Mon 04 Aug 2014, 22:31    Post subject:  

There was no default browser in the version I installed.

Is there a way to get those libraries without installing FF, please?

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
Geoffrey


Joined: 30 May 2010
Posts: 1469
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Tue 05 Aug 2014, 07:49    Post subject:  

@edoc

I'll see what I can do in regard to midori, it's as I remember it, it can be unstable, maybe you could try Qupzilla, it's a nice browser.

_________________
Carolina: Recent Repository Additions
Create strikethrough text HERE
Back to top
View user's profile Send private message 
Geoffrey


Joined: 30 May 2010
Posts: 1469
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Tue 05 Aug 2014, 08:07    Post subject:  

Taskbar

Added to the PPM

"Taskbar is a transparent taskbar to collect users favorite applications and run them in a simple click. It is inspired both from Kde 3.4 taskbar and OsX kicker.

Taskbar supports the following features

tooltips are displayed when the pointer stays long enough on a button;
the application icons are animated when the pointer pass over them or click on them. Three icon zooming modes are available (fixed, minimal, and hyperbolic);
buttons are added/removed by right clicking and select the corresponding action in a popup menu;
buttons can be reordered by middle-clicking on a button and moving it around.
the layout maybe either vertical, horizontal or box-like (with a given number of columns);
the taskbar can be placed anywhere on the desktop and moved around at will by just left-clicking on it and moving the pointer. A set of predefined position around the desktop is also available.
button names can optionally be added bellow the icons;
the taskbar can be automatically hidden when the mouse pointer leaves its active area. This feature is enabled only for certain (natural) combinations of taskbar layout and predefined positions.

Note: at first install, the taskbar is empty. To add a button, right-click, select add button and fill in the dialog that appears."
taskbar.gif
 Description   
 Filesize   29.48 KB
 Viewed   392 Time(s)

taskbar.gif


_________________
Carolina: Recent Repository Additions
Create strikethrough text HERE
Back to top
View user's profile Send private message 
edoc


Joined: 07 Aug 2005
Posts: 4384
Location: Southeast Georgia, USA

PostPosted: Tue 05 Aug 2014, 10:13    Post subject:  

Geoffrey wrote:
@edoc

I'll see what I can do in regard to midori, it's as I remember it, it can be unstable, maybe you could try Qupzilla, it's a nice browser.


Precisely the same problem - it require the addition of Flash & Flash is missing the libraries.

This is all on a Netbook so I loaded lina-1.2-non-pae.iso

That version apparently needs a PET to load those libraries.

BTW: I also observed that via Qupzilla hulu.com appears to be loaded with bad security certificates - is Qupzilla just misreading them?

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
Moat

Joined: 16 Jul 2013
Posts: 203

PostPosted: Tue 05 Aug 2014, 14:54    Post subject:  

edoc wrote:
Is there a way to get those libraries without installing FF, please?


@edoc - I'm thinking you might be able to -

1) Install Firefox - which apparently includes/installs those missing libs (right...?)

2) Find and copy/save those required libs into a new separate folder

3) Uninstall Firefox

4) Return those saved libs to the respective folder(s) where they were originally placed during the Firefox install

I'm certainly no expert... but seems to me that may be worth a try.

Bob
Back to top
View user's profile Send private message 
edoc


Joined: 07 Aug 2005
Posts: 4384
Location: Southeast Georgia, USA

PostPosted: Tue 05 Aug 2014, 15:07    Post subject:  

Thanks Bob - I'm hoping to avoid the time & hassle of that process - the schedule is already overloaded with broken laptops, laptops needing OS upgrades, chasing drivers for new printers, etc.

Perhaps the minimalist version of Carolina (no default browser) might offer a PET to install those libraries since they appear to be critical to Flash in many browsers?

I can't be the only user bumping into this limitation.

I know this is all volunteer - were I skilled enough I'd package the libraries - but after 10+ years & it always results in a mess when I try, I've caught the clue that it's not my gift. Embarassed

Thanks again - David

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
edoc


Joined: 07 Aug 2005
Posts: 4384
Location: Southeast Georgia, USA

PostPosted: Tue 05 Aug 2014, 20:35    Post subject:
Subject description: Missing libraries for Flash
 

I did a search using duckduckgo.com and found one re. Steam.

A user lacking some similar libraries was counseled to do the following:

Quote:
sudo dpkg --add-architecture i386
sudo apt-get update


Is it possible that something like this would grab & install the missing libraries from a Carolina repository or perhaps the zdrv_lina_1.2.sfs ?

Yes, I'm grasping at straws ... Rolling Eyes

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
Geoffrey


Joined: 30 May 2010
Posts: 1469
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Tue 05 Aug 2014, 23:19    Post subject:  

@edoc

I've compiled the latest Qupzilla version 1.6.6, this still has the certificate warning, just add them, should be fine, it's just a nuisance.

Made a pet of the flashplayer dependencies,install Qupzilla first then run the flash_dep_qupzilla.pet, it will add the files

libnspr4,so
libnss3.so
libnssutil3.so
libplc4.so
libplds4.so
libsmime3.so
libssl3.so

then moves the /usr/bin/qupzilla binary to /usr/lib/qupzilla/qupzilla, creates a new script in /usr/bin called qupzilla which loads the path to the dependencies.

Don't install this if you have firefox or seamonkey installed, remember to install flashplayer too,

Hope it works ok for you.

_________________
Carolina: Recent Repository Additions
Create strikethrough text HERE

Last edited by Geoffrey on Wed 06 Aug 2014, 07:18; edited 1 time in total
Back to top
View user's profile Send private message 
Moat

Joined: 16 Jul 2013
Posts: 203

PostPosted: Wed 06 Aug 2014, 01:02    Post subject:  

^^ Awfully darned nice of ya' there, Geoffrey! Cool

Bob
Back to top
View user's profile Send private message 
rg66


Joined: 23 Jul 2012
Posts: 588
Location: Vancouver, BC Canada / Entebbe, Uganda Africa!?!

PostPosted: Wed 06 Aug 2014, 01:39    Post subject:  

edoc wrote:
There was no default browser in the version I installed


I'm curious as to which version you installed, all the rc's and 1.x linas have Firefox as the default browser.

_________________
Carolite-1.2 / Carolina-1.2 / X-precise-2.4 / X-slacko-2.2
Carolina
X-precise/X-slacko
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 93 of 102 [1529 Posts]   Goto page: Previous 1, 2, 3, ..., 91, 92, 93, 94, 95, ..., 100, 101, 102 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1047s ][ Queries: 12 (0.0226s) ][ GZIP on ]